package com.ywt.mg.params.outpatientOrder;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class QueryOutPatientOrderListRequest implements Serializable {

    @ApiModelProperty(value = "订单编号")
    private String orderno;

    @ApiModelProperty(value = "患者姓名")
    private String patientname;

    @ApiModelProperty(value = "患者手机号，输入11位")
    private String userMobile;

    @ApiModelProperty(value = "医生姓名")
    private String doctorname;

    @ApiModelProperty(value = "科室名称")
    private String deptname;

    @ApiModelProperty(value = "医院名称")
    private String hospitalname;

    @ApiModelProperty(value = "订单状态")
    private String outpatientstatus;

    @ApiModelProperty(value = "支付状态")
    private String paymentstatus;

    @ApiModelProperty(value = "是否可以快递：1-可以快递，0-不可以")
    private String express;

    @ApiModelProperty(value = "创建时间查询开始时间")
    private String createStartTime;

    @ApiModelProperty(value = "创建时间查询截止时间")
    private String createEndTime;

    @ApiModelProperty(value = "支付时间查询开始时间")
    private String payStartTime;

    @ApiModelProperty(value = "支付时间查询截止时间")
    private String payEndTime;

    @ApiModelProperty(value = "医院ID")
    private int hospitalId;

    @ApiModelProperty(value = "交易流水号")
    private String transactionId;

    @ApiModelProperty(value = "对账时间查询开始时间")
    private String billStartTime;

    @ApiModelProperty(value = "对账时间查询截止时间")
    private String billEndTime;

    @ApiModelProperty(value = "判断医院后台还是公司后台")
    private int hosp;

    private boolean isAdmin = false;

    private String terminal;

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno;
    }

    public String getPatientname() {
        return patientname;
    }

    public void setPatientname(String patientname) {
        this.patientname = patientname;
    }

    public String getUserMobile() {
        return userMobile;
    }

    public void setUserMobile(String userMobile) {
        this.userMobile = userMobile;
    }

    public String getDoctorname() {
        return doctorname;
    }

    public void setDoctorname(String doctorname) {
        this.doctorname = doctorname;
    }

    public String getDeptname() {
        return deptname;
    }

    public void setDeptname(String deptname) {
        this.deptname = deptname;
    }

    public String getHospitalname() {
        return hospitalname;
    }

    public void setHospitalname(String hospitalname) {
        this.hospitalname = hospitalname;
    }

    public String getOutpatientstatus() {
        return outpatientstatus;
    }

    public void setOutpatientstatus(String outpatientstatus) {
        this.outpatientstatus = outpatientstatus;
    }

    public String getPaymentstatus() {
        return paymentstatus;
    }

    public void setPaymentstatus(String paymentstatus) {
        this.paymentstatus = paymentstatus;
    }

    public String getExpress() {
        return express;
    }

    public void setExpress(String express) {
        this.express = express;
    }

    public String getCreateStartTime() {
        return createStartTime;
    }

    public void setCreateStartTime(String createStartTime) {
        this.createStartTime = createStartTime;
    }

    public String getCreateEndTime() {
        return createEndTime;
    }

    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }

    public String getPayStartTime() {
        return payStartTime;
    }

    public void setPayStartTime(String payStartTime) {
        this.payStartTime = payStartTime;
    }

    public String getPayEndTime() {
        return payEndTime;
    }

    public void setPayEndTime(String payEndTime) {
        this.payEndTime = payEndTime;
    }

    public int getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(int hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getBillStartTime() {
        return billStartTime;
    }

    public void setBillStartTime(String billStartTime) {
        this.billStartTime = billStartTime;
    }

    public String getBillEndTime() {
        return billEndTime;
    }

    public void setBillEndTime(String billEndTime) {
        this.billEndTime = billEndTime;
    }

    public boolean isAdmin() {
        return isAdmin;
    }

    public void setAdmin(boolean admin) {
        isAdmin = admin;
    }

    public String getTerminal() {
        return terminal;
    }

    public void setTerminal(String terminal) {
        this.terminal = terminal;
    }

    public int getHosp() {
        return hosp;
    }

    public void setHosp(int hosp) {
        this.hosp = hosp;
    }
}
